Package org.gitana.platform.client.node

# Class TreeLookupOptions

java.lang.Object
org.gitana.platform.client.LookupOptions
org.gitana.platform.client.node.TreeLookupOptions

public class TreeLookupOptions extends LookupOptions

## Constructor Summary

Constructors
Constructor
Description
`TreeLookupOptions()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBase()`
`Boolean`
`getContainers()`
`Integer`
`getDepth()`
`String`
`getLeafPathString()`
`Boolean`
`getOptions()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getPayload()`
`Boolean`
`getProperties()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getQuery()`
`Map<String,String>`
`params()`
`void`
`setBase(String base)`
`void`
`setContainers(Boolean containers)`
`void`
`setDepth(Integer depth)`
`void`
`setLeafPathString(String leafPathString)`
`void`
`setOptions(Boolean options)`
`void`
`setProperties(Boolean properties)`
`void`
`setQuery(com.fasterxml.jackson.databind.node.ObjectNode query)`

### Methods inherited from class org.gitana.platform.client.LookupOptions

`fromPagination, fromPath, getLocale, getPagination, getPath, getPaths, setLocale, setPagination, setPath, setPaths`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeLookupOptions

public TreeLookupOptions()

## Method Details

### getBase

public String getBase()

### setBase

public void setBase(String base)

### getLeafPathString

public String getLeafPathString()

### setLeafPathString

public void setLeafPathString(String leafPathString)

### getDepth

public Integer getDepth()

### setDepth

public void setDepth(Integer depth)

### getProperties

public Boolean getProperties()

### setProperties

public void setProperties(Boolean properties)

### getOptions

public Boolean getOptions()

### setOptions

public void setOptions(Boolean options)

### getContainers

public Boolean getContainers()

### setContainers

public void setContainers(Boolean containers)

### getQuery

public com.fasterxml.jackson.databind.node.ObjectNode getQuery()

### setQuery

public void setQuery(com.fasterxml.jackson.databind.node.ObjectNode query)

### params

public Map<String,String> params()

Overrides:
  `params` in class `LookupOptions`

### getPayload

public com.fasterxml.jackson.databind.node.ObjectNode getPayload()